
KERNEL_OBJS =	mav_kernel.o mav_callback.o mav_class.o mav_sms.o \
		mav_object.o mav_window.o mav_device.o mav_lists.o \
		mav_frame.o mav_palette.o mav_maths.o

../../lib/libmav_kernel${OPT_EXT}.so:	${KERNEL_OBJS}
	${LD} -o libmav_kernel${OPT_EXT}.so ${KERNEL_OBJS} ${TIFFLIBS} ${DLLIBS} -lm
	mv libmav_kernel${OPT_EXT}.so ../../lib

CFLAGS= -I../../incl ${CFLAG} ${TIFFINCL}

clean:
	rm -f ${KERNEL_OBJS}
